1. stingray1059

    OP stingray1059 GBAtemp Regular
    Member

    Joined:
    Feb 7, 2009
    Messages:
    289
    Country:
    i used the update ver 2.0 now it requires me to update the firmware.
     
  2. Vaatu

    Vaatu Advanced Member
    Newcomer

    Joined:
    Sep 18, 2018
    Messages:
    55
    Country:
    United States
    Make sure you install the NSP update with tinfoil and avoid the firmware requirement during installation.
     
    Draxzelex likes this.
  3. stingray1059

    OP stingray1059 GBAtemp Regular
    Member

    Joined:
    Feb 7, 2009
    Messages:
    289
    Country:
    yup.. its fixed.. i used tinfoil..
     
  4. Vaatu

    Vaatu Advanced Member
    Newcomer

    Joined:
    Sep 18, 2018
    Messages:
    55
    Country:
    United States
    Awesome! Tinfoil is an amazing application!
     
  5. Bloodlust

    Bloodlust GBAtemp Maniac
    Member

    Joined:
    May 25, 2006
    Messages:
    1,122
    Country:
    Hong Kong
    Hi, can tinfoil bypass firmware checks if the update requires v6? Does this work with any nsp update which requires it? My switch is still on 5.1 and I would like to install the major updates if it's first required to install a DLC

    Sent from my MI MAX 3 using Tapatalk
     
  6. Draxzelex

    Draxzelex GBAtemp Legend
    Member

    Joined:
    Aug 6, 2017
    Messages:
    15,558
    Country:
    United States
    All raw .NSP files have an XML file which forces it to be installed on a firmware that is usually higher than the actual required firmware version. What Tinfoil does with the ignore required firmware version is bypass this XML when installing the .NSP file so you can use its true required firmware version which is dependent on which masterkeys were used to encrypt. Every new firmware introduces new masterkeys with which games and content are encrypted with which is what causes them to require higher firmwares. You can check this by using the Switch Backup Manager or decrypting the .NSP with hactool and checking the masterkey encryption. Anyways, I doubt any of the new updates are encrypted with the masterkeys found on firmware 6.X (they are most likely encrypted with the ones on firmware 5.X) so its only the XML file making them require firmware 6.X
     
    sorabora likes this.
  7. isaiahisaac

    isaiahisaac Newbie
    Newcomer

    Joined:
    Aug 1, 2018
    Messages:
    6
    Country:
    Philippines
    can i use tinfoil using sx os?
     
  8. IceTeaX

    IceTeaX Member
    Newcomer

    Joined:
    Apr 26, 2018
    Messages:
    49
    Country:
    Germany
    Nope
    But you can use the ReiNX CFW.
    A guide how to install this firmware can be found in the section. It's super easy and works perfect for me. You can boot back into SX OS after the installation of the nsp file with tinfoil on ReiNX.
     
  9. RitchieRitchie

    RitchieRitchie GBAtemp Advanced Fan
    Member

    Joined:
    Nov 15, 2013
    Messages:
    787
    Country:
    yes, you can, I've just done it to install the update for starlink. Put the tinfoil nro in the 'switch' folder. load from hombrew in the album folder. The nsp file has to be in a /tinfoil/nsp folder. Works perfectly (so far)!
     
  10. IceTeaX

    IceTeaX Member
    Newcomer

    Joined:
    Apr 26, 2018
    Messages:
    49
    Country:
    Germany
    okay. I tried this yesterday and it didn't work for me. Will try it later again...
     
  11. Slide_1977

    Slide_1977 Newbie
    Newcomer

    Joined:
    Oct 8, 2018
    Messages:
    2
    Country:
    Denmark
    tinfoil Works perfectly with SX OS 2.0.1 FW 6.0.0
     
  12. Skiiermike

    Skiiermike Advanced Member
    Newcomer

    Joined:
    Feb 26, 2018
    Messages:
    54
    Country:
    Canada
    Are you able to point me to a guide?

    Sent from my SM-N950W using Tapatalk
     
  13. blawar

    blawar Developer
    Developer

    Joined:
    Nov 21, 2016
    Messages:
    1,692
    Country:
    United States
    You are close, small nit pick... nothing reads the XML at all. It is completely ignored by every current title installer. The version check is in the cnmt file, and every current installer I know of bypasses this check in that file before installing.
     
    tiliarou and Draxzelex like this.
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - requires, update, tennis